Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026778
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajorhave not tried2014-06-04 10:182014-11-28 11:59
ReporteralostaleView Statuspublic 
Assigned ToSandrahuguet 
PriorityurgentResolutionno change requiredFixed in Version
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-02-24
Regression introduced in release
Regression introduced by commit http://code.openbravo.com/erp/devel/pi/rev/bda5291496b89b9e1994dd8b09502eb37e617158 [^]
Triggers an Emergency PackNo
Summary

0026778: filter in Return to Vendor is not working

DescriptionFilter in Return to Vendor is not working
Steps To Reproduce-Go to Return to Vendor
-Create a new Header
-Click on Pick/Edit Lines
-Try to filter by Product by selecting an item in drop down list
  Error is thrown in backend and no data is retrieved:
595dbc4c 3784763 [http-8080-7] ERROR org.openbravo.service.datasource.DataSourceServlet - unexpected token: t near line 1, column 484 [select iol from MaterialMgmtShipmentInOutLine as iol left join iol.product as join_0 join iol.shipmentReceipt as io where io.businessPartner = :businessPartner and io.processed = true and io.documentStatus <> 'VO' and io.salesTransaction = false and iol.organization in :organizations and not exists (select 1 from OrderLine as ol where ol.salesOrder = :order and ol.goodsShipmentLine = iol) AND ( iol.id = :alias_0 or upper((COALESCE(to_char((select name from ProductTrl as t t.product = join_0 and t.language.language='en_US')), to_char(join_0.name), ''))) = upper(:alias_1) ) ]
org.hibernate.hql.ast.QuerySyntaxException: unexpected token: t near line 1, column 484 [select iol from MaterialMgmtShipmentInOutLine as iol left join iol.product as join_0 join iol.shipmentReceipt as io where io.businessPartner = :businessPartner and io.processed = true and io.documentStatus <> 'VO' and io.salesTransaction = false and iol.organization in :organizations and not exists (select 1 from OrderLine as ol where ol.salesOrder = :order and ol.goodsShipmentLine = iol) AND ( iol.id = :alias_0 or upper((COALESCE(to_char((select name from ProductTrl as t t.product = join_0 and t.language.language='en_US')), to_char(join_0.name), ''))) = upper(:alias_1) ) ]
    at org.hibernate.hql.ast.QuerySyntaxException.convert(QuerySyntaxException.java:54)
    at org.hibernate.hql.ast.QuerySyntaxException.convert(QuerySyntaxException.java:47)
    at org.hibernate.hql.ast.ErrorCounter.throwQueryException(ErrorCounter.java:82)
    at org.hibernate.hql.ast.QueryTranslatorImpl.parse(QueryTranslatorImpl.java:284)
    at org.hibernate.hql.ast.QueryTranslatorImpl.doCompile(QueryTranslatorImpl.java:182)
    at org.hibernate.hql.ast.QueryTranslatorImpl.compile(QueryTranslatorImpl.java:136)
    at org.hibernate.engine.query.HQLQueryPlan.<init>(HQLQueryPlan.java:101)
    at org.hibernate.engine.query.HQLQueryPlan.<init>(HQLQueryPlan.java:80)
    at org.hibernate.engine.query.QueryPlanCache.getHQLQueryPlan(QueryPlanCache.java:124)
    at org.hibernate.impl.AbstractSessionImpl.getHQLQueryPlan(AbstractSessionImpl.java:156)
    at org.hibernate.impl.AbstractSessionImpl.createQuery(AbstractSessionImpl.java:135)
    at org.hibernate.impl.SessionImpl.createQuery(SessionImpl.java:1770)
    at org.openbravo.common.datasource.ReturnToVendorPickAndEditDataSource.getReceiptLines(ReturnToVendorPickAndEditDataSource.java:318)
    at org.openbravo.common.datasource.ReturnToVendorPickAndEditDataSource.getData(ReturnToVendorPickAndEditDataSource.java:189)
TagsManual P&E
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0026700 closedshankarb Wrong request after filtering in a field with combo and do blur in other field in pick and edit windows 
related to feature request 0025814 closedSandrahuguet Create a new return to vendor pick and edit with manual datasource 

-  Notes
(0068222)
alostale (developer)
2014-06-20 11:57

To be fixed by refactoring P&E return windows from manual to HQL datasource
(0072109)
Sandrahuguet (developer)
2014-11-28 11:59

Fixed in P&E return windows refactor

- Issue History
Date Modified Username Field Change
2014-06-04 10:18 alostale New Issue
2014-06-04 10:18 alostale Assigned To => Sandrahuguet
2014-06-04 10:18 alostale Modules => Core
2014-06-04 10:18 alostale Triggers an Emergency Pack => No
2014-06-04 10:19 alostale Relationship added related to 0026700
2014-06-05 10:49 guillermogil Tag Attached: Manual P&E
2014-06-09 11:04 alostale Relationship added related to 0025814
2014-06-09 11:05 alostale Regression level => Pre packaging ( pi )
2014-06-09 11:06 alostale Regression date => 2014-02-24
2014-06-09 11:07 alostale Regression introduced by commit => http://code.openbravo.com/erp/devel/pi/rev/bda5291496b89b9e1994dd8b09502eb37e617158 [^]
2014-06-09 12:13 alostale Regression level Pre packaging ( pi ) => Production - QA Approved
2014-06-20 11:55 alostale Priority immediate => urgent
2014-06-20 11:56 alostale Target Version PR14Q3 => PR14Q4
2014-06-20 11:57 alostale Note Added: 0068222
2014-09-29 10:45 eduardo_Argal Target Version 3.0PR14Q4 => 3.0PR15Q1
2014-11-28 11:59 Sandrahuguet Note Added: 0072109
2014-11-28 11:59 Sandrahuguet Status new => scheduled
2014-11-28 11:59 Sandrahuguet fix_in_branch => pi
2014-11-28 11:59 Sandrahuguet Status scheduled => closed
2014-11-28 11:59 Sandrahuguet Resolution open => no change required


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker